Bug 250451 - devel/notcurses: Update to 2.0.1
Summary: devel/notcurses: Update to 2.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://github.com/dankamongmen/notcu...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-10-19 07:54 UTC by Nick Black
Modified: 2020-10-25 06:10 UTC (History)
1 user (show)

See Also:


Attachments
1.7.6 -> 2.0.1 svn diff (1.62 KB, patch)
2020-10-19 07:54 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Black 2020-10-19 07:54:31 UTC
Created attachment 218878 [details]
1.7.6 -> 2.0.1 svn diff

New upstream version of Notcurses. New ABI 1->2. The 2.0 API can be considered, for the first time, stable and supported through 2.x.x.

The video used in the demo has been updated and changed (notcursesI.avi -> notcursesII.avi). I verified that the old one is removed on reinstall.

New header file, notcurses/version.h.
Comment 1 Automation User 2020-10-19 12:15:21 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/204445857
Comment 2 Nick Black 2020-10-22 08:29:49 UTC
Pipeline passed just fine. Is there a worry about the ABI change (and resulting SONAME change)?
Comment 3 Yuri Victorovich freebsd_committer 2020-10-25 06:09:08 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2020-10-25 06:09:27 UTC
A commit references this bug:

Author: yuri
Date: Sun Oct 25 06:09:05 UTC 2020
New revision: 553241
URL: https://svnweb.freebsd.org/changeset/ports/553241

Log:
  devel/notcurses: Update 1.7.6 -> 2.0.1

  PR:		250451
  Reported by:	nickblack@linux.com (maintainer)

Changes:
  head/devel/notcurses/Makefile
  head/devel/notcurses/distinfo
  head/devel/notcurses/pkg-plist
Comment 5 Yuri Victorovich freebsd_committer 2020-10-25 06:10:56 UTC
Committed, thanks!